This morning, I learned about task splitting, which involves breaking down all large tasks into executable, non inclusive small tasks. I also learned about drawing context maps and learned about analyzing tasks and the process of drawing through several examples. In the afternoon, I understood the significance of task splitting by analyzing the task and implementing it through programming. Finally, I was happy to use the code to implement the requirements. Using this method makes the logic of writing code clearer and improves programming efficiency.